> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://www.truework.com/docs/api-reference/versions/2023-10-30/get-all-qualification-check-sets/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://www.truework.com/_mcp/server. # Get all qualification check sets GET https://api.truework-sandbox.com/qualification-check-sets A qualification check set is a ruleset for evaluating income data. This endpoint is in beta and is subject to change. Please contact [implementations@truework.com](mailto:implementations@truework.com) for more information before integrating. Reference: https://www.truework.com/docs/api-reference/versions/2023-10-30/get-all-qualification-check-sets ## Authentication - `Authorization` header (bearer token, required) — Bearer tokens conform to the [RFC6750](https://datatracker.ietf.org/doc/html/rfc6750#section-2.1) spec. Production API keys (secret keys) are prefixed with `tw_sk_` and sandbox keys are prefixed with `tw_sk_test_`. If your secret key is published, you should rotate your API keys. Truework.JS publishable keys are prefixed with `tw_pk_` and `tw_pk_test` respectively. **Examples** - For Authorization Headers: `Authorization: Bearer tw_sk_test_e508eb797edb95ade85284bcb54dd49ed45db1be` - For the "try it now" `token` field, input only the token itself, omitting `Bearer `. ## Servers - `https://api.truework-sandbox.com` (Sandbox, default) - `https://api.truework.com` (Production) ## Request ### Query parameters - `limit` (integer, optional, default: 25) — Limit the number of results returned. - `offset` (integer, optional, default: 0) — Offset the results by page ### Headers - `Accept` (enum, optional, default: application/json) — Specify the content type and version that the API should use. It's recommended to include this to avoid breaking changes. - Allowed values: `application/json`, `application/json; version=2023-10-30` ## Response ### 200 Qualification Check Sets - `count` (integer, required) - `next` (string, required, nullable) - `previous` (string, required, nullable) - `results` (list of QualificationCheckSetResourceV20231030, required) ## Errors ### 400 Bad Request Error Bad Request - `error` (_InvalidRequestError, required) ### 401 Unauthorized Error The request's authorization is missing, invalid, or expired - `error` (Error, required) ### 403 Forbidden Error Forbidden - `error` (Error, required) ### 406 Not Acceptable Error An invalid API version was requested - `error` (Error, required) ### 429 Too Many Requests Error Too Many Requests - `error` (Error, required) ### 451 Unavailable for Legal Reasons Error Frozen SSN - `error` (Error, required) ### 500 Internal Server Error Internal Server Error - `error` (Error, required) ### 501 Not Implemented Error Not Implemented - `error` (Error, required) ## Types ### QualificationCheckSetResourceV20231030 - `applicant_rent_to_income_ratio` (string, required) — The ratio of the specified rent to the monthly gross income of the applicant. - `description` (string, required, nullable) - `guarantor_rent_to_income_ratio` (string, required) — The ratio of the specified rent to the monthly gross income of the guarantor. - `id` (string, required) - `income_multiple` (string, required) — Deprecated. Please use applicant_rent_to_income_ratio. Threshold ratio for target rent to monthly gross income. Must be greater than 0. - `name` (string, required) ### _InvalidRequestError - `message` (string, required, default: Invalid field values provided) ### Error - `message` (string, required) ## Examples **Response** ```json { "count": 253, "next": "https://api.truework.com/resource?limit=25&offset=50", "previous": "https://api.truework.com/resource?limit=25", "results": [ { "applicant_rent_to_income_ratio": "0.85", "description": "Conventional loan qualification checks for 2024.", "guarantor_rent_to_income_ratio": "0.85", "id": "AAAAAAAAAosABwGqF1AUKAH0-puth1tCzLNar3Jyb4bx3wdVKU99XC31", "income_multiple": "1.50", "name": "Conventional 2024" } ] } ``` **SDK Code** ```python import requests url = "https://api.truework-sandbox.com/qualification-check-sets" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.truework-sandbox.com/qualification-check-sets'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.truework-sandbox.com/qualification-check-sets" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.truework-sandbox.com/qualification-check-sets") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.truework-sandbox.com/qualification-check-sets") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.truework-sandbox.com/qualification-check-sets', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.truework-sandbox.com/qualification-check-sets"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.truework-sandbox.com/qualification-check-sets")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```